## Package cascading.pipe

Class Summary
CoGroup: The CoGroup pipe allows for two or more tuple streams to join into a single stream.
Each: The Each operator applies either a `Function` or a `Filter` to each entry in the `Tuple` stream.
Every: The Every operator applies an `Aggregator` or `Buffer` to every grouping.
Group: The base class for `GroupBy` and `CoGroup`.
GroupBy: The GroupBy pipe groups the `Tuple` stream by the given groupFields.
Operator: An Opererator is a type of `Pipe`.
Pipe: Class Pipe is used to name branches in pipe assemblies, and as a base class for core processing model types, specifically `Each`, `Every`, `GroupBy`, and `CoGroup`.
SubAssembly: Subclasses of SubAssembly encapsulate complex assemblies of `Pipe`s so they my be reused in the same manner a Pipe is used.

Exception Summary
OperatorException: Class OperatorException is thrown during field name resolution during planning

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.